# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.81.0"
name = "str0m-netem"
version = "0.1.0"
authors = ["Martin Algesten <martin@algesten.se>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Sans-IO network emulation for testing str0m under simulated network conditions"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/algesten/str0m"

[lib]
name = "str0m_netem"
path = "src/lib.rs"

[dependencies.fastrand]
version = "2"

[dependencies.str0m-proto]
version = "0.1.0"
